/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function goodsItems(
  params,
  options,
) {
  return request('/admin/goods/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function goodsCreate(
  body,
  options,
) {
  return request('/admin/goods/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function goodsUpdate(
  body,
  options,
) {
  return request('/admin/goods/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function goodsDelete(
  body,
  options,
) {
  return request('/admin/goods/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function goodsItem(
  params,
  options,
) {
  return request('/admin/goods/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

